
●変更履歴

2025/09/23 ver 3.41
   ・書庫内のファイルもドラッグアンドドロップできるようにした
   ・文字コード自動判別でのデフォルトをSJISかUTF8か選べるようにした
   ・テキストビュアーでブロック選択を可能にした
   ・MarkBelow系のコマンドにおいてカーソル位置を含めないコマンドも追加
   ・メッセージ画面でもマウスホイールでスクロールできるようにした
   ・ファイルマスク、ファイル検索などの履歴で、正規表現のチェック状態を
     覚えるようにした
   ・ファイル検索ダイアログで検索対象にファイルとディレクトリを個別に選択
     できるようにした。
   ・ダイアモンドキーを Rename, SameNameDialog にも適用
   ・色設定にて「色の作成」を常に表示するようにした
   ・ディレクトリ表示更新時にカーソル位置のファイルがなくなっててもカーソル
     位置が動かないようにした
   ・ドライブリストで終了した場合に次回起動時にホームパスに戻ってしまうのを
     修正（v3.40でエンバグ）
   ・登録DIRにカンマがある名前が使えなかったのを修正
   ・テキストビュアーでプロポーショナルフォントの場合に行数表示が乱れる
     ことがあるのを修正
   ・書庫ファイル解凍時に ISH解凍と表示されてしまうことがあるのを修正

2025/04/05 ver 3.40
   ・英語モード追加
     専用DLL(DynaENU.DLL)追加。日本語モードは無くてOK
     初回起動時に言語設定画面表示(既存ユーザーは日本語に設定)
     システムのエラーメッセージなども言語設定に応じるよう設定
   ・WindowsShell を利用したzip操作に対応
   ・テキストビュアーでTab記号を表示できるようにした
   ・テキスト解析中に例外が発生したら行数エラーとするようにした。
   ・バイナリビュアー専用に固定ピッチフォントを設定できるようにした
   ・バイナリビュアーでも横幅を変更できるようにした
   ・Mtpへのコピーにおいてフォルダ・ファイルの日付もコピーするようにした
   ・MTPでフォルダ作成が失敗するデバイスがあったのを修正
   ・ファイルコピー時に作成日が不正な場合でも更新日はコピーされるようにした
   ・スプリットバーを端っこに寄せるコマンド追加(CTRL+UP)
   ・メモリ経由で画像ファイルを読み込んだ場合のメモリリークを修正
   ・ダイアログのファイル名フォントが大きい場合にエディットボックスなどの
     サイズ調整をするようにした
   ・圧縮操作時に Dllが無いものはデフォルト選択しないよう変更
   ・ストアアプリ用対応
     Exeフォルダが書き込み禁止の場合 Iniを %LOCALAPPDATA% に保存
     追加DLLを検索するディレクトリ設定を追加
   ・初回起動時の初期設定値を見直し
     エディタの初期設定を notepad に固定
     初期フォントの変更
     透過ウィンドウをデフォルトON
     自動更新をデフォルトON
     初期登録DIRの見直し
     ディレクトリ履歴で作業ディレクトリをデフォルトに
     初回起動ダイアログで大まかな設定を選択可能に
     画像ビュアーでGDI補間をデフォルトに
     テキストビュアーの横幅デフォルト値を0(Windowに合わせる)に
     F11, F12 キーのデフォルト割り当て変更
     (F11はMaximizeExのトグル,F12は割り当てなし）
     初回起動時のパスをユーザーのホームディレクトリに変更

2024/12/09  ver 3.35
   ・リネーム失敗時にリトライできるようにした
   ・上書きコピーで、コピー先ファイルに隠し属性・システム属性が付いていても
     エラーにならないようにした。
   ・外部コマンドのマクロで%で始まる環境変数については $を付けなくても展開
     されるようにした。
   ・検索結果表示中にファイル削除を実行するとエラーダイアログが表示されるの
     を修正
   ・Win11で透過背景&拡張最大化時に透過ウィンドウが小さくなる問題を修正
   ・Win11 22H2,23H2,24H2 にて仮想デスクトップを切り替えた際に透過ウィンドウ
     が残る問題に対処

2023/06/11  ver 3.34
   ・アイコン表示時にオーバーレイアイコンも表示されるようにした
   ・ftpやアーカイブ内のアイコンもデフォルトアイコンを表示するようにした
   ・アイコン表示時のフォルダ移動のレスポンスを改善
   ・アイコン表示時にDYNA終了後スレッドが残り続けることがあるのを修正
   ・mtp初回削除操作後にしばらくフリーズしてしまうのを回避するようにした
   ・Mark All Below と Mark Toggle All Below においてカーソル位置のアイテムも
     選択されるように変更（エクスプローラーのShift+Home(End)動作に合わせた）
   ・属性変更ダイアログで、デフォルトで属性もしくは日付日時のチェックボックスを
     ONにするコマンドを追加
   ・コマンド入力ダイアログにもダイアログフォントを適用
   ・GoogleDrive上の読めないファイルで強制終了してしまうのを修正
   ・2091年以上のファイルの日付ソートが正常にされないのを修正
   
2023/04/02  ver 3.33
   ・OneDriveなどクラウド上にあるファイル(FILE_ATTRIBUTE_RECALL_ON_DATA_ACCESS)
     を非アクティブ色で表示できるようにした
   ・OneDriveなどクラウドにリンクされているフォルダ（IO_REPARSE_TAG_CLOUD)は
     <Cloud>と表示するようにした
   ・AttributeDialog にファイル詳細情報を表示するようにした
     - ReparsePoint のターゲットも表示
     - SparseFile/CompressedFile の場合は CompressedSize も表示
   ・ディレクトリサイズ計算時にCloud/Compressedファイルの計算方法を選択するオプ
     ションを追加。
   ・ディレクトリ更新検知をTimeStampに設定していてもローカルドライブはFindFirst
     ChangeNotificationを使用するオプション追加。
   ・ファイル種別に複数のコマンド登録を可能にし、複数登録時はデフォルト実行時に
     メニュー表示されるようにした
   ・FtpLoginの設定情報をコンボボックスでセレクトできるようにした
   ・UNCのMAX_PATHに対応できていなかったのを対応
   ・次の機能でShortFileName利用によりMAX_PATH以上のファイルに対応
     - 書庫追加
     - WICによる閲覧
     - 拡張ビュアーによる閲覧
     - 一部のSUSIEプラグインによる閲覧
     - ファイル実行
   ・MAX_PATH以上のディレクトリ削除で中にファイルがあると削除できない問題を修正
   ・SJIS/EUCのテキストファイルで半角カナが検索できないのを修正
   ・テキストビュアーでデフォルトの横幅設定を0(=ウィンドウ幅に合わせる）にして
     いると、前回表示時の横幅やファイル種類設定のテキストビュアー指定時の横幅が
     反映されないのを修正。
   ・コンパイラを VS2019 から VS2022 に変更
   
2021/09/19 ver 3.32
   ・mtp, ftp でのmove動作に対応（同じデバイス・サーバー内の場合のみ）
   ・起動時パラメタでファイル名が指定された場合でもデフォルト実行しないオプショ
     ンを追加
   ・起動時パラメタに /exec, /nomulti, /multi, /noact, /actorder を追加
   ・入力ダイアログでのダイアモンドキー有効・無効設定追加
   ・マウスホイール設定に「なし」を追加
   ・Open by other view でもショートカット先を見るよう変更
     （「ショートカットはリンク先を見る」オプションが有効の場合）
   ・機能一覧における外部コマンドおよび外部コマンド（Select)でのリスト表示時に
     ソートするようにした
   ・duploicate file のダイアログ表示中に対象ファイルが削除されると、別のファイ
     ルが複製される不具合を修正
   ・正規表現によるファイルマスク中にファイルリストを更新すると大文字小文字区別
     の設定が変わってしまうことがあるのを修正
   ・書庫内の巨大なテキストファイルをテキストビュアーで表示すると16MByte付近で
     改行が乱れるのを修正。  

2021/03/06 ver 3.31
   ・透過ウィンドウ使用時にウィンドウを最大化して元に戻すとタイトルバーを掴んだ
     りサイズ変更などが出来なくなる現象を修正(v3.30でエンバグ)
   ・拡張ビュアーで書庫内ファイルなどを連続表示すると落ちるのを修正
   ・ファイル種類設定においてコマンドアクションやタイトル設定が無い場合（=デフ
     ォルト動作）でも登録されるようにした。
   ・拡張子に'.'が２つあるようなファイル種類を登録しても判定できるようにした
   ・拡張子に'.'が２つあるようなファイル種類登録されている場合、リネームダイア
     ログにおいてはそこまでを選択されるようにした
   ・一部のSUSIEプラグイン(iftpsd.sph)で表示できなくなっていることへの対処
     （v3.30でのコンパイラ変更の影響）
   ・内臓WICビュアーにおいてグレースケールとCMYKのJPEG画像に対応した

2021/02/12 ver 3.30
   ・コンパイラを VS2010 から VS2019 に変更
     （必要DLLも mfc140u.dll,vcruntime140.dllに変更）
   ・画像ビュアーにおいて、DYNA独自の拡張pluginに対応。
     動画再生用のプラグインなどをリリース。詳細は拡張ビュアーのホームページ参照
   ・ジャンクション・シンボリックリンクのディレクトリに対する削除において、中の
     ファイルは削除せずジャンクション・シンボリックそのもののみ削除するよう変更
   ・ジャンクション・シンボリックリンクに対するタイムスタンプの変更において、
     リンク先のタイムスタンプが変更されてしまっていたのを、ジャンクション・
     シンボリックリンクそのもののタイムスタンプを変更するように修正。
   ・履歴DIR(Select)コマンドにおいて移動履歴・作業履歴の現設定で選択されてない
     方もサブメニューとして追加した。
   ・履歴DIRの前後移動で操作開始時のディレクトリに戻ってこれないのを修正。
   ・登録ディレクトリ画面にて登録DIRの階層内にいる際、キー操作での位置がずれて
     いたのを修正。BSキーで上に戻るのも追加。
   ・外部コマンド実行時もそのディレクトリが作業履歴に追加されるようにした
   ・透過ウィンドウの背景が他のVirtualDesktopに表示されないようにした
   ・コマンドライン引数で渡されたパスの処理を新規起動時と多重起動時で一緒の動作
     にするようにした。
     - フォルダ名およびフォルダ名+'\'が渡された場合はそのフォルダに移動。
     - ファイル名が渡された場合はそのフォルダに移動しカーソルはファイル名に移動
       /noexec が指定されてなければデフォルト実行は実施
   ・外部コマンド編集時にキー設定も変更しないと保存がされないのを修正
   ・特定条件下でアイコン表示＆スプリットバー位置保存の設定にすると起動しなくな
     る問題を修正


2020/08/05 ver 3.22
   ・7zip,RAR,LZH にて SetUnicodeMode を使用するようにした。
     ただしLZHではアーカイブ内のUnicodeファイルの単独でのハンドリングができない
   ・キーに割り当てた登録ディレクトリを登録ディレクトリ編集後も持続するよう修正
   ・キー設定ダイアログで機能をカテゴリに分け、外部コマンド・登録DIRを階層表示
     にした。登録DIRについては階層化したエントリもキー設定で選べるようにした。
   ・サウンド設定もキー設定同様に機能をカテゴリに分けて表示するようにした。
   ・mtp において free disk space およびドライブ情報を取得するようにした
   ・.gz はファイルリストでファイルサイズが取得できず０表示となっていたのを
     サイズ表示なしとすることで不明であることが分かるようにした。
   ・.gz 圧縮の動作が .tgz と同じになっていたので gzip のみの圧縮とするよう変更
   ・終了時のカーソル位置を覚えるようにした
   ・ディレクトリ履歴で作業履歴に変更しても、一般の動作設定を変更すると設定が
     移動履歴に戻ってしまうのを修正

2020/06/20 ver 3.21
   ・透過ウィンドウモード時に画像ビュアーでマウス操作ができないのを修正

2020/06/14 ver 3.20
   ・背景透過において、透過ウィンドウモードを追加
   ・登録ディレクトリを階層管理できるようにした。（最大登録数も255までに拡大）
     登録DIR(Select)をドライブリストのエントリに追加
   ・ディレクトリ履歴において、単純な移動履歴でなく、作業したディレクトリ履歴を
     記録できるモードを追加
     また作業ディレクトリ履歴とコピー先ディレクトリ履歴を統合
   ・ディレクトリ履歴の最大数を16から設定で変更可能にした
   ・WICにおいて回転情報に対応
   ・GDI補間モードの動作を v3.14相当に戻した上で、WICにおいてもDrawDibDrawで
     描画するよう対応
   ・Desktop透過のRegistry参照モードにおいて、壁紙の比率が VirtualScreenと
     マッチする場合には SPAN になるよう対応
   ・IPreviewHandler のサイズ調整を、DPI値からの計算ではなく実際のウィンドウ
     サイズを確認して調整するよう変更
   ・起動時のサイズ・位置についてDPIを考慮するよう対応
   ・DPI変更後のドロップ操作で右メニューの位置がずれる、またコピー後にボタンや
     進捗バーが残るのを修正
   ・DPI変更後、コピー・PreView時などに表示されるボタンのフォントサイズを修正
   ・同名ファイルコピー時のLargeアイコンが常にコピー元に表示されてたのを修正
   ・ディレクトリ画面でスクロールバーが時々表示されてしまうことがあるのを修正
   ・サイドビューで連続テキスト表示するとテキスト選択がリセットされないのを修正
   ・サムネイル表示のファイル作成日の行の右端がずれているのを修正
   ・ドロップ操作でのコピーでプログレスバー表示が更新されない時があるのを修正
   ・[32bit版]アイコンをSJIS版の頃のものにして64bit版と区別できるようにした

2020/02/08 ver 3.15
   ・マルチディスプレイでの背景透過に対応
   ・背景設定画面のDesktop透過オプションの記載を Win7,8,10 に合わせた
   ・背景設定で「移動後の再描画を高速にする」オプション廃止。
   ・DPI awareness の per monitor v2 に対応
     （異なるDPI値のモニタ間の移動でぼやけなくなる）
   ・ディレクトリ画面・テキスト画面のデフォルトフォントを MS Gothic に、
     その他は MS UI Gothic に変更(標準のシステムフォントだとサイズ変更が粗い)
   ・プライマリモニタのDPI値とSystemDPI値が異なる場合は Excelなどの Previewerが
     不安定になることがあるため、続行するかワーニング表示できるようにした。
   ・Windows Imaging Component (WIC)に対応
     （標準でjpg,jpeg,jfif,gif,tif,tiff,png,ico は WICに関連付け）
   ・画像ビュアーでGDI補間モードをデフォルトONに変更。
   ・ドットから始まるファイルで拡張子が認識されないのを修正
   ・日付・時間設定ダイアログにて、入力値の範囲チェックをするようにした
   ・ソートにおいて".."が先頭に来ないことがあるのを修正
   ・画像ビュアーでホイールによる前後の画像移動が再入処理されてしまうのを修正

2019/12/10 Ver 3.14
   ・ディレクトリ画面・テキストビュアでZoomコマンドによるフォントの拡縮に対応
     (ZoomIn/out をCTRL+PageUp/DownおよびCTRL+MouseWheel に割り当て)
   ・マウス設定画面を独立させ SHIFT,CTRL,SHIFT+CTRLを押しながらホイール動作した
     場合の動作を設定可能に
   ・ホイール動作設定にページスクロール・横スクロールなどを設定可能に
   ・ホイール動作設定の拡大・縮小の向きを反転させるオプション追加
   ・テキストビュアーでもホイール動作、マウス中ボタン動作を設定可能に
   ・テキストビュアーでプロポーショナルフォントも利用可能にした。
   ・テキストビュアーでテキストの幅をウィンドウサイズに合わせる場合、ウィンドウ
     サイズが変更されたら横幅も変更するよう対応
   ・テキストビュアーで「ウィンドウに合わせる」コマンドを追加。
     マウス中ボタン動作にデフォルト設定。
   ・テキストビュアーで横幅最大設定を10000に制限
     （大きいと正常に表示されなくなるため）
   ・テキストビュアーにおいて論理行表示時に、論理行の最初の行以外は行番号を空白
     表示するよう変更
   ・テキストビュアーでのutf8/16コードのサロゲート文字・半角カナの横幅計算修正
   ・テキストビュアーでのEOF表示がちゃんと動作していないのを修正
   ・テキストビュアーで「最新の情報に更新」でファイルサイズも更新するようにした
   ・Susieプラグイン検索を記憶するモードを追加
   ・SusiePluginを指定して画像ビュアーを起動するコマンド追加（Graphic Viewer)
   ・WallpaperStyleがFIT,FILLの時の調整
   ・UNCパスのアクセスに失敗したらエラーメッセージを表示するようにした
   ・Imdisk などでRAMDISK をフォルダにマウントしたときに、そのフォルダが空だと
     移動できなくなる問題に対応
   ・自分のサブディレクトリにコピーしようしとした際のエラーメッセージに CANCEL
     ボタンを追加
   ・先頭文字ジャンプ・インクリメンタルサーチとバッティングするキーを個別コマン
     ドに設定しようとした場合にメッセージを表示するようにした

2019/07/20 Ver 3.13
   ・IPreviewHandler を利用したビュアーを追加
     (word,excel,powerpoint,pdf等のプレビューが可能）
     (デフォルトでは doc,xls,ppt,pdf等に関連付け）
     (CTRL+P(デフォルト)で起動も可能）
   ・「ウィンドウズ関連付け実行(ShellExe)」を画像/プレビュー画面で使用可能に
   ・最大化を繰り返すとスプリットバーがだんだん右にずれていく問題を修正
   ・起動時のサイズと位置のどちらか一方が前回の値でもう片方が固定値の場合に正常
     に設定が保存されて無かったのを修正
   ・マウススクロールや設定次第で描画が乱れるのを修正(v3.12でエンバグ)
   ・初回画像表示時に画面に納めるかどうかの計算が正常できていなくなっていたのを
     修正(v3.12でエンバグ)

2019/06/15 3.12
   ・サイドビューモード追加
     (メニューに「サイドビュー」を切り替える項目追加)
     (ToggleSideViewコマンド追加。デフォルトで F10 に割り当て。旧バージョンから
      更新の場合F10はUnpackに割り当てられているのでキー設定で変更する必要あり)
     (TABキーをデフォルトでGoToOtherView コマンドに割り当て)
   ・サムネイル表示に対応
     (メニューにアイコン・サムネイル表示切り替えを追加)
     (ToggleIconDisplay/ToggleThumbnailDisplayコマンド追加。
      デフォルトで'.',SHIFT+'.'に割り当て)
     (ZoomIn/Outコマンドでサムネイルサイズを変更可。
      デフォルトでSHIFT+PGUP,PGDNに割り当て)
     (サムネイル表示時にはファイル作成日も表示)
     (「大きいアイコンを元に表示」オプションを削除。自動調整するようにした)
   ・ファイルコピー時にファイル変更日だけでなく作成日も保存するようにした
   ・Susie plugin のunicode APIへ対応 (GetPictureW)
   ・テキストビュアーにおいて選択した範囲のバイト数をステータスバーに表示
   ・ゴミ箱を使用しない削除の場合再度確認するオプションを追加
   ・mtp転送中にキャンセルすると次のmtp上のファイル読み込みに失敗するため、
     キャンセルはファイル途中では行わないようにした
   ・次の画像検索において ftp,mtp はアーカイブ扱いではなくドライブ扱いに変更
   ・エクスプローラ風のコピー時にマークファイルがクリアされてなかったのを修正
     (v3.10でエンバグ)
   ・デフォルト設定・キー割り当てを一部見直し(初回起動時。更新の場合は影響なし)
     (「画像の大きさをウィンドウサイズに収める」オプションをデフォルト)
     (「ネットのボリューム名を取得しない」オプションをデフォルト)
     (CTRL+'C'に Copy FullPathName to Clipboard を割り当て)
     (CTRL+'R'に Rename Marks を割り当て)
     ('1'に登録DIR(Select)を割り当て)
     ('2'に履歴DIR(Select)を割り当て)
   
2019/03/24 3.11
   ・mtpの上書き転送がエラーとなってしまっていたのを適切に実装
   　(別名で転送、元ファイル削除、リネームを実施)
   ・mtpの削除処理を効率化。mtpの処理自体も少し高速化。
   ・Rename連続実行時にabortできるよう変更
   ・ftpでサイズ0のファイルを進捗バーが表示される状態で転送すると落ちるのを修正
   ・ftpでデフォルトモードをPASVに変更
   ・エクスプローラ風もしくはゴミ箱利用で、ファイル検索結果からの削除がエラーと
     なってしまうのを修正(v3.10でエンバグ)
   ・CreateDirectoryにおけるMAX_PATH以上対応がMAX_PATH(260)ではなく248である
     必要があったのを修正

2019/02/16 3.10
   ・対応OSをWindows7以降に変更
   ・MTP/PTPデバイスの操作に対応（独自識別子「mtp://」としてftpのように扱う）
   ・MAX_PATH以上のパスのファイル操作に対応
   ・エクスプローラー風操作ではSHFileOperation から IFileOperation に変更
     （MAX_PATH以上を操作するため。ただしMAX_PATH以上はエラーが表示される）
   ・Digit as Number によるソートに対応
   ・Windows7以降の背景の「横幅に合わせる」「縦幅に合わせる」に対応
   ・ストリーム形式ファイルのドラッグ＆ドロップ操作に対応
   ・自動更新確認時にFindFirstChangeNotificationの代わりにディレクトリの
     タイムスタンプで監視するオプションを追加
     （FindCloseNotificationが遅いドライブでは処理が遅いため）
   ・フォルダ名がサロゲートペアで始まる場合に正しく移動できない問題を修正
   ・シンボリックファイルではないのに<sym>と表示されてしまう場合があるのを修正
   ・「ショートカットはリンク先を見る」がONになってるときに毎回ショートカット
     先を解決しようとしていたのを修正
   ・FTPの設定で Anonymous, PASV の設定を覚えていなかったのを修正
   ・FTPのリスト表示時にエラーが出る場合があるのを修正

2014/01/26 3.00
   ・構成を SJIS版,UNICODE版から、32bit版,64bit版に変更。
     対応OSは XP以降で SJIS版は廃止。
   ・64ビット版向けの各種対応
     lzh,cab,zip は UNBYPASS.DLL を利用。
     7-zip は 7-zip64.dll, rar は unrar64j.dll, tar は tar64.dll を利用
     iso は未対応
     SUSIE プラグインは、 *.sph を利用。
   ・7-zip32.dll でのパスワード付圧縮に対応
   ・書庫内の4G以上のファイルの一覧表示に対応（7-zip,lzh,isoのみ）
   ・4G以上のファイルのftp転送に対応（テスト未実施）
   ・4G以上のテキストファイル閲覧に対応（64bit版）
   ・大きいテキストファイルの閲覧高速化
   ・ファイル種類設定のアーカイバーDLLをリストボックスで指定するようにした
   ・ファイル種類設定のSUSIE-pluginをコンボボックスから指定するようにした
   ・登録ディレクトリダイアログに上下ボタンを追加
   ・登録ディレクトリのダイアログサイズを変更
   ・登録ディレクトリの編集ダイアログに「現在のDIR」を追加
   ・登録ディレクトリの編集ダイアログで「名前」を自動的に「ディレクトリ名」から
     生成するようにした
   ・FTP の際 "OPTS UTF8 OFF"を実行するようにした
   ・書庫アーカイバーを指定して仮想ディレクトリに入れるようにした
   ・登録ディレクトリをポップアップメニューから選択して移動するコマンド追加
   ・履歴ディレクトリをポップアップメニューから選択して移動するコマンド追加
   ・外部コマンドをポップアップメニューから選択して実行するコマンド追加
   ・ディレクトリ履歴にソート状態も記憶するようにした（INIへの保存は未実装）
   ・一部の環境でパスに日本語を含むアーカイブが開けなくなっていたのを修正
   ・圧縮時のデフォルト形式を zip に変更
   ・コンパイラを Visual Studio 2010 に変更
     （必要dllがmfc100u.dll,msvcr100.dllに変更）

2012/07/29 2.20
   ・ジャンクション、シンボリックリンクをそれぞれ<JCT>,<SYM>(フォルダ),
     <sym>(ファイル)と表示する対応
   ・HtmlHelp対応
   ・UnIso32.dll に対応
   ・アクセス件の無いフォルダに移動しようとした場合にエラーを表示するようにした
   ・保存するフォントのパラメタを追加(lfCharSet)
   ・Windows7(64bit) でファイル実行時にUACのダイアログが表示されないことに対応
   ・Windows7 で情報ウィンドウおよびファイラー画面の余白での
     右クリックが動作しない件を修正
   ・壁紙設定に環境変数が使用されてると壁紙透過できないことに対応
   ・テキストビュアーでタブのみの行の表示が崩れる場合があるのを修正
   ・書庫内で正規表現や複数条件のファイルマスクを設定すると落ちる問題を修正
   ・次の場合において、指定していない文字がヒットしてしまう問題を修正
     (SJIS版：ファイル検索、拡張コピーの無視ファイル、複数ワイルドカードの
     ファイルマスクまたはファイル検索マーク、ネットワークやFTPのファイルマスク)
     (SJIS版・Unicode版共通：SUSIE書庫内ファイルマスク)
   ・ファイルマスクダイアログの正規表現チェックボックスが初期化されない不具合を
     修正
   ・BOMだけのテキストファイルの表示切り替え時に落ちる問題を修正
   ・ボトムアップの BMP が表示できなくなっていたのを修正
   ・s()マクロの比較の方が char と BYTE と異なっているため、128以上の値の比較が
     正常に行われ無いのを修正
   ・テキストビュアーの設定を論理行番号にしている場合、テキストエディタに渡す
     $Lマクロに論理行番号を設定するようにした
   ・不正なファイルサイズを報告するSusie書庫プラグインを使用すると落ちる場合が
     ある問題を修正
   ・連続した空白を含む単体ファイルが7-zip32.dllで操作できない問題を修正
   ・圧縮・解凍時のエラーメッセージを表示するようにした
   ・ステータスバーのファイル名表示を128文字以上表示できるようにした
   ・Z:が起動時の初期ディレクトリの場合に空き容量が表示されない問題を修正
   ・不正な情報が記録された256色以下のBMPファイルを表示した場合に落ちる問題を
     修正
   ・7-zip32.dll使用時、書庫内のテキストが途中までしか表示されない場合があるの
     を修正
   ・表示できないファイルがあるとファイルリストが途中で途切れる問題を修正
   ・リムーバブルメディアのデフォルトラベル表示でユーザー別の設定を読むように
     した
   ・DYNAから起動したコンソールでCtrl+Cが効かなくなる問題を修正
   ・DLL読み込み脆弱性への対応(http://jvn.jp/cert/JVNVU707943/index.html)
   ・複数の文字種を含む文字列の検索不具合
   ・ファイルリストが空の時に特定のマクロを含む外部コマンド実行で落ちる問題を
     修正

2008/06/03 2.14
   ・タイトルバーに現在のディレクトリを表示
   ・画像ファイル連続閲覧時に読み込めないファイルでエラーを表示しないようにした
   ・ファイルのドロップ先アプリが重い場合に出る「サーバー使用中」ダイアログを
     抑制するようにした
   ・ディレクトリのコピー(移動)時にタイムスタンプもコピーするようにした
     (NT/2000/XP以降)
   ・ファイル種類設定ダイアログで更新時にスクロール位置を維持するようにした
   ・解凍先問い合わせダイアログをキャンセルすると操作ができなくなる問題を修正
     (v2.13でエンバグ)
   ・マークしてコピーした後、消去されたマークが再描画されない問題を修正
     (v2.13でエンバグ)
   ・Vistaでプロパティが表示できない問題を修正
   ・ファイル操作がエクスプローラ風の場合にVistaでフォルダをコピーできない問題
     を修正
   ・2GB以上のファイルでコピー中の速度表示がおかしかった問題を修正
   ・テキストビュアーでファイルよりも長いテキストを検索すると落ちる問題を修正
   ・複数ファイルコピー時に同名ファイルダイアログでLarge表示が更新されない問題
     を修正
   ・ファイル処理がエクスプローラ風の場合にネストコピーができてしまう問題を修正
   ・テキストビュアーで同じファイルを開き前回表示していた行を表示する際、読み込
     みに時間がかかるとその行を表示していなかった問題を修正。その行を読むまで
     描画を行わず、時間がかかるようだったら「キャンセル」ボタンを表示する
   ・フルパスが 256文字を超える書庫ファイルを扱えない不具合を修正
   ・フォーカスが移った時にスクロールしてしまう不具合を修正
   ・次の画像ファイルを検索する際にキャンセルボタンを表示するようにした
   ・テキストビュアーのホイールスクロール量が保存されない不具合を修正
   ・「ファイルがありません」が表示されている状態でカーソルを他方のウィンドウに
     移動するとカーソル描画が残ってしまう不具合を修正

2008/03/01 2.13
   ・ファイラー画面でプロポーショナルフォントも利用できるようにした
   ・ファイラー画面で水平スクロールバーがうまく機能していなかったのを修正
   ・拡張子の幅が大きいファイルが無いときにスペースを無駄に空けないようにした
   ・「フォーカス移動時にウィンドウの幅を入れ替える」機能において、幅の違いが
     1のときは入れ替えないようにした（全体が奇数だと真中にならないため）
   ・描画の祭のちらつきを抑制した。
   ・アイコン表示していてファイル検索ダイアログで「基準ディレクトリ」を変更して
     転送すると落ちるのを修正
   ・右ドラッグアンドドロップのメニューに「開く」を追加
   ・LogDrive ダイアログで「file:///」を入力しても処理できるようにした
   ・画像ビュアーにてスライドショー機能を追加
   ・起動時にSusiePluginを検索しないオプションを追加
   ・起動時にMigemoDLLを読み込むオプションを追加
   ・書庫内WAVE再生がうまくいかない場合があるのを修正
   ・コピー、移動、FTPのput 実行時に FILE_SHARE_WRITE 属性を追加
     （Excel で開いてる場合などコピーできないことがあった)
   ・ファイル検索(FindFile）にて、基準ディレクトリに'\'が無い場合は
     追加するようにした（検索結果のファイルに'\'が付いてしまっていた）
   ・外部コマンドにて、実行ファイル名についてもマクロを使用できるようにした
   ・外部コマンドにて、次のマクロを追加。
     $~ (dyna.exeのディレクトリに展開)
     $%環境変数% (環境変数の展開）
   ・フォルダ間連続表示がドライブ間もまたいで表示されていた問題を修正
   ・複数ファイルの展開中にマウスでディレクトリ移動させると落ちる問題を修正
   ・連続リネーム(RenameMarks)中に自動更新が行われてしまう場合があったのを修正
   ・自動更新が停止する場合があったのを修正
   ・Unicode版でUTF-8とUTF-16の変換時にShiftJISを経由していた問題を修正
     (UTF-8のクリップボードコピー、文字列検索、右クリックから開く操作に影響)
   ・拡張子BMPのコマンドを「BMP表示」以外にすると画像ファイル透過でBMPファイル
     を背景にできない問題を修正
   ・2GB以上のファイルのコピー時に情報表示がおかしくなる問題を修正
   ・ウィンドウサイズが変更された時にステータスバーの幅が追従しない問題を修正
   ・コピー、移動時に転送元と転送先が同じ場合は上書き処理を選択できないように
     した
   ・同名ファイルダイアログを少しわかりやすくしてみた

2007/10/29  ver 2.12
   ・Logdisk コマンドでファイルを指定できるようにした
   ・Logdisk コマンドで前後のスペースを無視するようにした
   ・ファイルコピー、移動、FTP転送時に速度と残り時間を表示するようにした
   ・40MB以上のファイルのFTP転送時にプログレスバーが正常に動かないのを修正
   ・画像拡大表示のスクロール時に絵が少しずれるのを修正
   ・画像連続表示でユーザーがキャンセルした場合にビュアーを終了するようにした
   ・テキストビュアーで「背景透過」ON かつ「スクロール時のちらつきを抑える」OFF
     の時、テキスト検索で検索文字列が同画面に２個以上あるとき、２つ目の文字列に
     移動すると、前の文字列のハイライトがそのまま残る問題の修正
   ・背景透過してない時にタブで終わる行の最後のタブが描画されない環境への対処
   ・バイナリビュアーで、0x80以上のバイナリ値（１６進文字列）の検索ができない
     問題を修正
   ・BOM付きUTF-8テキストファイルに対応
   ・外部コマンド実行において、マークファイルの展開で末尾に空白が付く問題を修正
   ・壁紙の高さが奇数だとdynaが落ちる場合があるのを修正
   ・Altキーだけではメニューが選択されない問題を修正
   ・同名ファイルダイアログで読み取り専用ファイルを上書き移動できない問題を修正
   ・壁紙描画時にGDI補完を有効にした

2006/07/06  ver 2.11
   ・画像ビュアーで拡大率が百分率のときのスクロール不具合
   ・画像ビュアーでズーム後、スクロールバーが更新されないのを修正
   ・画像連続表示でフォルダ間も移動するオプション追加
   ・拡縮後のスクロール位置を、「画像を中心に表示」の場合は中心をあわせるように
     する（それ以外は左上を合わせる）
   ・容量計算中にディレクトリ移動すると落ちる問題を修正
   ・ファイルの断片化を発生しにくくするため、コピー(移動)先のディスク領域を予
     約できるようにした（動作設定→ファイル操作）
   ・ファイル名の変換に使うWideCharToMultiByte()の第2パラメータを
     WC_NO_BEST_FIT_CHARS に変更
   ・Unicode<=>ShiftJIS変換でコードページ(932)を指定するようにした
   ・解像度の異なるマルチモニタでの拡張最大化に対応
   ・ファイル検索で書庫内書庫のファイルも検索できるようにした
   ・ファイル検索ダイアログで検索結果に応じてダイアログを拡大するようにした
   ・カーソル表示をカスタマイズできるようにした
   ・カーソルが文字やアイコンにかぶらないようにした
   ・アクティブ化したときに中央のスプリットバーがちらつく場合があったのを修正
   ・マウスによるマーク操作をカスタマイズできるようにした
       「Ctrl+クリックでのみマークを反転」オプション
       「余白部分のクリックでマークをクリア」オプション
   ・拡張最大化のトグルコマンドを追加
   ・隠しファイルの表示・非表示を切り替えるトグルコマンドを追加
   ・ファイルの時刻や日付の表示・非表示を切り替えるトグルコマンドを追加
   ・日付も時刻も表示しない場合に右端に1文字分余白が空いていたのを修正
   ・隠し属性ファイルが非表示の場合に「表示されていないファイル数」を表示する
     ようにした
   ・ファイルの移動や削除の後にスクロール位置がなるべく移動しないようにした
   ・ファイル操作中は自動更新しないようにした
   ・コンテキストメニュー表示時のカレントディレクトリを現在のディレクトリにする
     ようにした
   ・サイズ変更時にメッセージウィンドウが常に最下行を表示するように変更
   ・メッセージウィンドウを常に表示していない場合にプロンプトが表示される場合が
     あったのを修正
   ・2回目以降のソートダイアログの初期状態が正常に設定されていなかったのを修正
   ・インクリメンタルサーチのMigemo検索に対応 
     (C/Migemo1.2のDLLと辞書、およびIE5以降が必要)
   ・ファイルマスク、ファイル検索マーク、ファイル検索で正規表現を使えるように
     (IE5以降が必要)
   ・先頭文字ジャンプをインクリメンタルサーチにするオプションを追加
   ・マークファイルを連続してリネームするコマンド(Rename Marks)を追加
   ・時間がかかったコマンドが完了した時に発生するサウンドイベントを追加
   ・FTPサーバ上の0バイトのファイルを転送すると落ちる問題を修正
   ・VirtualPCのゲストOSとしてWindows2000をインストールし、
     かつ拡張機能をインストールして共有フォルダを設定している状態で、
     ゲストOS上でその共有ドライブを参照すると落ちる問題への対策
   ・インクリメンタルサーチで検索が一致しない場合に標準の警告音を鳴らすように
     した

2005/11/15  ver 2.10
   ・削除実行時、問い合わせダイアログ表示中にファイルの実体が削除されると
     親ディレクトリの中身全体を処理対象としてしまう問題を修正
     （削除されてしまった方、ごめんなさい・・。デバッグしていただいたKey氏感謝）
   ・マウス左クリックの挙動を変更
       左クリックのみではマークしないで、Shift+クリック時に範囲マーク、
       Ctrl+クリック時にマーク反転、余白クリックでマーククリアするようにした
   ・コマンドラインにダブルクオーテーションで囲まれたパラメータを渡されると
     それ以降のパラメータを取得できない問題を修正
   ・拡張子の無いファイルを解凍しようとすると落ちる問題を修正（2.04でエンバグ）
   ・「ウィンドウに納める時の拡大は必ず整数倍にする」が有効のときに、
     「画面内に収める」を実行すると直前の拡大率のまま表示される問題を修正
   ・書庫内のMacバイナリ付きの画像も表示できるようにした
   ・複数ファイルの削除が途中でキャンセルできない問題を修正
   ・ルートディレクトリが自動更新されない問題を修正
   ・ネットワークディレクトリでもフルパスのコピーが行えるようにした
   ・7-zip32.dll が存在する場合、特定のファイルを Unpack しようとすると落ちる
     問題を修正。

2005/10/16  ver 2.04
   ・ホイール操作時のスクロール量や中ボタンの動作を設定できるようにした
   ・起動中のDYNAのカレントディレクトリおよびカーソル位置を変更できるようにした
     （二重起動禁止時）
   ・画像ビュアーの拡大縮小を任意の％単位で変更できるようにした
   ・画像ビュアーのウィンドウサイズに合わせる設定において、拡大率を整数に限定
     するオプションを追加した
   ・画像ビュアーでウィンドウサイズに合わせている状態から拡大・縮小した場合に拡
     縮率が直近の値になるようにした
   ・ビュアーから外部コマンドを呼び出せるようにした
   ・リムーバブルメディア(CD-ROMやMO等)にメディアが入っていない場合のボリューム
     ラベルにエクスプローラのデフォルトラベルを表示するようにした
   ・ファイル検索ダイアログのキー操作を変更
       ファイル検索中にEscキーで検索中断
       複数ファイルが検索された場合
         Return(Enter)→転送して閉じる
         上下カーソル→ファイルを選択、その後Return(Enter)で選択ファイルの場所
         にジャンプ
       単一ファイルのみが選択された場合
         Return(Enter)→ファイルの場所にジャンプ
   ・「機能一覧から」をESCキーで抜けるとカーソルがひとつ上に移動するのを修正
   ・｢ドライブ一覧」からドライブ移動を行うと必ずルートに移動してしまうのを修正
   ・書庫内の連続画像表示で落ちることがあったのを修正
   ・ソートを実行するとカーソルが直前のファイルを指さない場合があったのを修正
   ・画像ビュアーでマーク操作をすると情報ウィンドウにマーク数の情報が反映しなか
     ったのを修正
   ・画像ビュアーでスクロールバーを表示している時に拡大縮小を行うと、スクロール
     バーが再描画されない場合があったのを修正。
   ・移動可能な論理ドライブが1つしか存在しないときにIncrementDrive(または
     DecrementDrive)を実行すると無限ループする問題を修正
   ・WinXPのコンテキストメニューのサブメニューでショートカットキーが効かない
     問題を修正
   ・拡張最大化（画像ビュアーの自動最大化）の挙動を修正
   ・書庫内のサウンドを再生中に再生停止コマンドを実行すると、サウンドの再生が
     終了するまでフリーズしてしまう問題を修正
   ・マウスで画像をドラッグ中に画像が左上にずれる問題を修正
   ・半角カナでファイル検索できない問題を修正
   ・オフスクリーンに収まらない大きな画像でも表示できるようにした
   ・ファイル種類登録の「コマンド実行」でカンマを含むパラメータを保持できない
     問題を修正
   ・rar書庫内の拡張子を持たないファイルが扱えない問題を修正
   ・フルパスファイル名がMAX_PATH(バイト(SJIS版)/文字(Unicode版))を超える
     ファイルにカーソルを合わせると落ちる問題を修正
   ・[Unicode版] 拡張子に全角文字が含まれていると拡張子の分離表示が正常に行われ
     ない問題を修正
   ・[Unicode版] UTF-16の文字列をヘッダ文字列として取得できなかった問題を修正

2005/04/09  ver 2.03
   ・UNCパス内で書庫が扱えなくなっていたのを修正（2.02でエンバグ）
   ・ファイル検索において「ディレクトリ自体も検索する」にチェックを入れた場合
     に、検索基準ディレクトリがマッチすると落ちる問題を修正。
   ・ワイルドカードの複数指定で、ダブルクォーテーションで囲んでも指定できる
     ようにした。
   ・ディレクトリも複製できるようにした
   ・リネーム時に同名ファイルがあった場合にもう一度ファイル名を指定し直せるよ
     うにした
   ・アーカイバ設定のFTPでテキスト変換するファイルの項目を空白にすると落ちる
     のを修正
   ・色/文字/背景設定ダイアログでヘルプボタンを押すと適用が有効になるのを修正
   ・アーカイバ圧縮時の処理効率を少しだけ良くした。
   ・アーカイバ設定の圧縮形式について記述を追加

2005/03/23  ver 2.02
   ・書庫内の書庫を再帰的に閲覧できるよう改良。
   ・ファイル検索結果をファイラーウィンドウ内に表示できるようにした
   ・ファイル検索、ファイル検索マーク、ファイルマスクにてワイルドカードの複数
     指定に対応
   ・コマンド入力、テキスト検索、バイナリ検索、ファイル検索、コピー先、の履歴
     を保存するようにした
   ・ダイアログのファイル名を表示する部分のフォントをユーザーが指定できるよう
     にした（デフォルトは MS UI Gothic）
   ・各圧縮形式のデフォルトオプションを設定できるようにした。
   ・テキストビュアーのメニューに「タブ２桁」を追加。
   ・FTPからのコピー時にタイムスタンプが適用されない問題を修正
   ・FTPへのコピー時に「すべてのファイルに適用」が効かない問題を修正
   ・FTPのルート以外に直接移動できない問題を修正（2.00βでエンバグ）
   ・7z書庫内のルートディレクトリとサブディレクトリに同名ファイルが存在する時
     ルートディレクトリにあるファイルだけを解凍することができなかったのを修正
   ・UNZIP32.DLLで圧縮する時にパスに'['が含まれると圧縮できない問題を修正
   ・名前の先頭が'-'または'@'のファイルやフォルダの圧縮解凍ができない場合が
     あった問題に対して対策を行った
   ・動作設定ダイアログの「適用」ボタンを削除して「ヘルプ」ボタンを追加。
     ページごとのヘルプボタンを無くした。
   ・色/文字/背景設定ダイアログに「ヘルプ」ボタンを追加。
   ・実際のディレクトリ名とは大文字小文字を違えて入力してディレクトリ移動した
     後、上位ディレクトリに戻った場合にカーソルが直前にいたディレクトリを指さ
     ない問題を修正
   ・2.01より、コピー中などに表示される「キャンセル」ボタンの下の
     ステータスバーにファイル名などが残るようになってしまったのを修正

2005/02/08  ver 2.01
   ・2GB以下のファイルでも、ある程度サイズが大きいとテキストビュアーで
     表示できなかったのを改良
   ・テキストビュアーにおいて、サイズが大きいファイルの最後の方へ移動しようと
     すると「テキスト解析中」待ちになるが、それをキャンセルできるようにした
   ・7-zip32.dll を利用した圧縮時にサブディレクトリ内の拡張子無しファイルや
     孫ディレクトリが無視されてしまう不具合を修正。
   ・unzip32.dll,cab32.dll において、サブディレクトリと親ディレクトリに同名
     ファイルが存在すると、親ディレクトリ側のファイルしか選択してなくても
     サブディレクトリの同名ファイルも一緒に圧縮されてしまうのを修正。
   ・unzip32.dll において、サブディレクトリを含むディレクトリを単独で圧縮する
     際に、サブディレクトリ以下のファイルが含まれないのを修正。
   ・ftp の切断・再接続処理がうまく動作していないのを修正。
   ・ファイル検索ダイアログの検索結果の幅が表示内容に一致しない問題を修正
   ・ファイル検索ダイアログのサイズを変えられるようにした
   ・ファイル検索ダイアログの検索結果のダブルクリックでジャンプするようにした
   ・コマンドラインのディレクトリ指定が効かない場合があるのを修正
   ・移動先(解凍先)確認ダイアログのタイトルが「コピー」となっていたのを修正
   ・日本語を含むファイル検索が正しく行われない場合があるのを修正
   ・名前の変更ダイアログをファイル名が長いときはサイズを大きくするようにした
   ・[SJIS版] バイナリビュアーで TAB文字が展開されて表示されてしまうのを修正
   ・[UNICODE版] UNZIP32.DLLで"[","]"の処理が不完全だったのを修正
   ・2.00β2の更新履歴に「複数ファイルのUnpackでマークが残るのを修正」が
     抜けてたので追加

2004/12/15  ver 2.00
   ・7-zip32.dll 対応(.7z に関連付け)
   ・書庫ファイル圧縮時に圧縮オプションを指定できるようにした。
   ・標準で .rpm を tar32.dll に関連付ける。
   ・標準で .jar を unzip32.dll に関連付ける。
   ・コピー時などで時々キャンセルボタンが表示されないことがあるのを修正。
   ・ACDSeeなどの一部のアプリケーションが直接起動できない問題に対応した
   ・インクリメンタルサーチダイアログが画面からはみ出ないようにした
   ・一部のマシンでファイルリストなどのテキスト表示が乱れるのを修正。

2004/11/15  ver 2.00β2
   ・書庫内の 0x5c を含む日本語ファイルが正常に扱えない問題を修正
     (2.00βの不具合)
   ・関連付け実行でウィンドウが非表示で起動されるなどの問題を修正
   ・コピー・移動処理中に ESC キーでキャンセルできるようにした。
   ・SUSIEのプラグインで表示する際に IsSupported の使用をやめた。
     （対応していないプラグインがあるため）
   ・画像表示時のちらつきを抑えた。
   ・2.00βの変更履歴に「画像閲覧時にマウスカーソルを消す」が抜けてた
     のを追加
   ・複数ファイルのUnpackでマークが残るのを修正

2004/11/04  ver 2.00β
   ・SJIS版 と UNICODE版 の２つのVersion を用意。
     UNICODE版では、
       1.ファイル名にSJISに含まれない文字が含まれてていても操作可能。
       2.SJISに含まれないUNICODE テキストファイルの表示が可能。
   ・書庫ファイル内などでファイルのフルパスが MAX_PATH(260)を超えるものも
     扱えるようになった。
   ・例外処理を変更しファイルサイズを縮小。
   ・画像閲覧時にマウスカーソルを消す
   ・画像ビュアーの回転機能
   ・時間がかかる処理での砂時計カーソルの表示
   ・スプリットバーの幅をカスタマイズ可能に。
   ・ごみ箱削除/直接削除のコマンドを追加
   ・リネームなどの時のファイル名入力で選択状態を記憶するように変更。
   ・ショートカットはリンク先を見るオプションが ON のとき、フォルダのショート
     カットに移動すると短いパスになってしまうのを変更。
   ・「ディレクトリの拡張子を無視」の設定時に、ディレクトリ名表示が拡張子の
     領域を使用してないのを修正（v1.75 の不具合）
   ・「コピー・移動時の問い合わせ」が OFF の時、ftp などで指定したフォルダに
     コピーされない問題を修正
   ・「TeraPad」などの外部コマンド実行後、「TeraPad」からコンソールアプリを
     呼び出した際に、ウィンドウが表示されないのを修正。
   ・初回起動時にその時のエディタの設定を XP などで取得できてなかったのを修正
   ・「コピーなどの実行後結果待ちにする」にチェックを入れた状態でファイルの
     移動・コピーなど実行後、ディレクトリ容量計算の不具合が生じるのを修正

2004/09/20  ver 1.75
   ・「左右スプリットバーの位置を保存」が有効なときは、終了時のカーソルの左右の
     位置を保存するよう変更
   ・スクロールマウスでテキストビュアーをスクロールさせたときに行番号が更新され
     無いのを修正
   ・アイコン表示時にメモリリークが発生してたのを修正
   ・exe のアーカイブ判定チェックの祭にメモリリークが発生してたのを修正
   以下、Key氏による改良
   ・RARメモリ解凍時にプログレスダイアログが出るのを抑制するようにした
    （UNRAR32.DLL v0.10 以上のみ）
   ・インクリメンタルサーチで文字を入力できない場合がある問題への対策
     非修飾(Shift,Ctrl,Altなし)の文字入力キー(画面に表示される文字を入力する
     キー)でのインクリメンタルサーチダイアログの操作はできないようにする
     （必ず文字入力操作にする） 
   ・「ディレクトリの拡張子は分離しない」を「ディレクトリの拡張子は無視」に変更
     （表示だけでなく、ソート時にも拡張子は無視される）
   ・インクリメンタルサーチで「ファイル名の先頭から検索」のチェックボタンを操作
     すると、次に検索文字列を変更するまで検索結果に設定が反映しない不具合を修正
   ・インクリメンタルサーチで「ファイル名の先頭から検索」のチェックボタンを操作
     したら、検索ファイル名入力ボックスにフォーカスが移動するようにした
   ・インクリメンタルサーチで「ファイル名の先頭から検索」のチェック状態を記憶
     するようにした
   ・外部コマンドの実行などで長いパラメータを受け付けるようにした
   以下、ばぐ★ＮＡＧＡ氏による改良
   ・同名ファイルダイアログでカーソルが正常に描画されない不具合を修正
   ・ファイルサイズ表示方法をオプションをバイト、KB の二種類に改良し、
     表示方法変更コマンド(Switch FileSize Display)を追加
     （ファイルサイズ表示を、バイト→バイトカンマ付→KB→KB カンマ付と
     切り替える）
   ・マークファイル容量計算をファイルプロパティの表示に合うように修正

2004/08/25  ver 1.74
   ・FTP の PASV モード対応
   ・L コマンド時に "\\Computer" という指定で移動できるようにする
   ・フォーカス移動時に左右のウィンドウの幅を入れ替えるオプション追加
   ・起動時に「左右のスプリットバーの位置を保存」しない場合に、
     左右のウィンドウの幅が微妙に均等じゃないのを修正

   以下、Key氏による改良
   ・キー設定ダイアログを作り直して、任意のキーに機能を割り当てられるようにした
   ・ファイル出力をサポートしていないSusie書庫プラグインでもファイルに
     出力できるようにした
   ・画像ビュアー にGDIの補完表示を使用するかどうかの項目を追加
   ・「機能一覧から実行」でダブルクリックでコマンドを実行できるようにした
   ・マークした後に上に移動するコマンドを追加
   ・カーソル位置よりも上(または下)のファイル(またはファイルと
     ディレクトリ)を選択(または選択反転)するコマンドを追加
   ・F10キーにキー割り当てができなくなっていた問題(v1.73でエンバグ)を修正
   ・SusiePluginの画像読み込み時にPlugin内部で例外が発生した場合にDYNA本体まで
     落ちないようにした
   ・AmZip.spiで壊れたzipファイルを開いた場合に落ちる問題を修正
   ・Unlha32.dllで壊れたlzhファイルを開くと
    「ファイル・ポインタの設定ができません : 〜.lzh」
     のダイアログが出続ける問題を修正
   ・背景透過時にプライマリモニタ以外で表示が崩れないようにした
     （ただし背景透過はプライマリモニタのみ）
   ・画像ビュアーの設定で
     「自動的に最大化」にチェックあり、
     「画像をウィンドウサイズに収める」にチェックあり、
     「小さい画像は引き伸ばす」にチェックなし、
     の状態で、非最大化状態のウィンドウよりも大きくて
     最大化状態のウィンドウよりも小さい画像を表示した時に、
     画像が引き伸ばされて表示されてしまう問題を修正
   ・Susieの書庫プラグインにて、".."などのパスが含まれていると、
     指定外の場所へファイルが解凍されてしまう問題を対処。
     これは、LHA などの他のアーカイバDLL にもある問題であるが、
     アーカイバDLL については各 .DLL に任せることにし、DYNA側の対処は
     行わない。（展開速度が遅くなるので）
   ・FTPエラー時にエラーメッセージが正しく表示されない問題を修正

   以下、ばぐ★ＮＡＧＡ氏による改良
   ・同名ファイルダイアログで新しい方の日付に「New」マークを付けた。
   ・「ファイル名は拡張子を除いて選択」オプションを追加し、リネーム・圧縮・
   　同名ファイルのダイアログではこのオプションの状態によってファイル名を
     拡張子の前まで選択するか、全選択するかを判断するようにした。
   ・登録ディレクトリで"%"で囲まれた文字を指定すると、環境変数の値に
     置き換えて処理する機能を追加。
     例）「%WINDIR%\Temp」を指定すると「C:\Windows\Temp」にジャンプする。
   ・大きいアイコンを元に表示するオプションを追加。
   ・外部コマンドの「新規テキスト」で表示されるダイアログの「ファイル名」に
     キーボードショートカットが抜けていたのを修正。
   ・読み取り専用ファイルの日付を変更できない不具合を修正。
   ・ディレクトリの日付を変更できるように修正(Win9x系は不可)。
   ・登録ディレクトリダイアログのレイアウトを少し変更。
   ・拡張子の前まで選択する処理のタイミングを、そのダイアログを表示したとき
   　ではなくエディットボックスにフォーカスがセットされたときに変更。
   ・ディレクトリ設定等の参照ボタンで、ディレクトリ指定ダイアログが
     表示されるときには「マイ コンピュータ」を選択するのではなく、
     設定されたディレクトリを選択するように修正。
   ・ディレクトリ変更・登録ディレクトリのダイアログ内のリストボックスで
     ダブルクリックしたときに決定(OK)されるようにした。
   ・ファイル種類ダイアログで、ヘッダタブに切り替えたときに参照ボタンが
     残ってしまう不具合を修正。
   ・コピー・移動先指定ダイアログの「フォーカスはエディットボックス」
     オプションが効かなくなっていたのを修正。
   ・親ディレクトリ("..")への Attribute、Editor、Pack、Unpack コマンドを
     効かなくした。
   ・ディレクトリへの Viewer コマンドを効かなくした。
   ・リネーム時に拡張子が変わったらアイコンを再読込するようにした。
   ・アウトラインを持たないフォントではテキストビュアーの改行マークが
     表示されないのを修正(そのまま全角で表示するようにした)。
   ・UNCパスで表示している場合、ファイルウィンドウの余白や情報ウィンドウを
     右クリックしてもコンテキストメニューが表示されない不具合を修正。
   ・アイコンを表示オプションが有効のとき、実行ファイル(*.exe)のアイコンが
     必ず大きいアイコンを元にするようになっていたのを修正。
   ・インクリメンタルサーチのキーボードでの上下検索・マークを固定キーではなく
   　キー設定の LineUp、LineDown、Mark の割り当てキーで処理するように修正。
   ・メモリースティック・USBメモリ等のリムーバブルドライブをイジェクトした
     ときに、そのドライブがドライブリストの下(ftp://の次)に追加されてしまう
     のを修正。

2004/05/19  ver 1.73
   ・画像ビュアー上でのリネーム機能追加
   ・UTF-16 のテキストで強制的に SJIS などに変更できないのを修正
     （こんなことするやついるか？）
   ・アイコンが時々消えてしまうのを修正
   ・Packコマンド時に同名ファイルがある場合には、追加圧縮ではなく、
     確認後、新規圧縮するよう仕様変更。

   以下、Key氏による改良
   ・UNZIP32.DLL使用時に、書庫内のパス名またはファイル名に'['を含む
     ファイルが解凍できない問題を修正
   ・RAR書庫内のパス名またはファイル名に空白が含まれているファイル
     が書庫内閲覧できない問題を修正
   ・実際には既に存在しなくなっているフォルダからコピーまたは移動を
     実行しようとした場合、「コピー・移動操作直前に自動更新する」に設定
     されていると落ちる問題を修正
   ・「ファイル種類」ダイアログにおいて、コマンド->コマンド種類を
     「テキストビュアー」に設定した場合に表示される「文字コード指定」
     コンボボックスに UTF-8/UTF-16 を追加した
   ・コメント文字列の JIS/EUC/UTF-8/UTF-16 対応
   ・ドライブ変更ダイアログのフォントを変更
   ・プロパティを表示するコマンド [Show Property]を追加
   ・ALT＋'K'などメニューに無い操作の時に一般の警告音が鳴る問題を修正
   ・2バイト文字を含むファイル名の検索が正しく行われない場合があるのを修正
   ・Susie書庫プラグイン(axzip.spiなど)で、'\'を2バイト目に含むシフトJIS文字が
     書庫内ディレクトリ名にある場合に書庫を正しく開けない問題を修正

   以下、ばぐ★ＮＡＧＡ氏による改良
   ・親ディレクトリ'..'のリネームを効かなくした。
   ・インクリメンタルサーチのダイアログで、エディットボックスにフォーカスが
   　あるときにカーソルキー上下で上方検索、下方検索ができるようにした。
   ・名前の変更、ファイルの圧縮ダイアログで、ファイル名を拡張子の前まで選択
   　しておくように変更。
   ・同名のファイルダイアログの「名前を変更して転送」のファイル名も拡張子の
   　前まで選択するように修正。
   ・リネーム、圧縮のダイアログで対象がディレクトリの場合の選択は拡張子の
   　前までではなく全選択するように修正。
   ・入力を伴うダイアログの一部(リネームやディレクトリの作成等テキスト入力)
   　のウィンドウサイズとエディットボックスのサイズを大きくした。
   ・ダイアログの項目にキーボードショートカット('(F)'等)をできるだけつける
   　ように修正。
   ・メニュー、ダイアログの半角カタカナを全角カタカナに統一した。
   ・メッセージボックスに表示されるメッセージを「。」または「？」で終わる
   　ように統一した。
   ・コピーや移動時のステータスバーに表示されるキャンセルボタンのフォントを
   　ステータスバーと同じフォントに変更。
   ・情報ウィンドウの空き容量表示がフォントによっては文字の右側が欠ける
   　(ウィンドウからはみ出す)のを修正。
   ・「アーカイバの設定」ダイアログにヘルプボタンを追加。
   ・背景設定で「Desktop透過 (Win98,Me,2000)」を指定しているときに、
   　壁紙変更ツール等で壁紙の表示開始位置を変えると正常に壁紙が透過されない
   　(壁紙の位置がずれてしまう)不具合を修正。
   ・エクスプローラ風のコピーや移動、圧縮、ファイルの実行後に
   　そのディレクトリがロックされるのを修正。
   ・インクリメンタルサーチのときにスペースキー押下でマーク＆下方検索を行う
   　機能を追加。
   ・カーソルの先頭・最後をループさせる機能を追加。
   ・ヘルプに説明の抜けている項目を追加(動作設定、アーカイバ等)。
   ・ヘルプに追加したオプションとインクリメンタルサーチの注意事項を追記。

2004/03/10  ver 1.72
   ・UTF-8, UTF-16 テキストに対応
    （unicodeプログラムではないので SJIS に存在するものしか表示は出来ません）
   ・テキストビュアーでステータスバーに改行コードの表示を追加
   ・同じフォルダ内の同じファイルを上書きで移動するとファイルが消えるのを修正
     （すいません・・・）
   ・ドライブリストでキーボードからコンテキストメニューが出せないのを修正
   ・背景色設定でメッセージ画面の背景色がおかしくなるのを修正
   ・マクロのヘルプで $Mx,$Qx系 と $Px,$Rx系 が逆になってたのを修正

   以下、Key氏による改良 (Thanks!)
   ・LZH書庫を開いたときに
     ファイルによっては「エンドマークが存在しません」の
     ダイアログが出て、その直後に落ちる問題の修正
   ・bfOffBitsが異常な値のビットマップファイルを
     表示しようとしたときに落ちる問題の修正
   ・DYNAが非アクティブの状態で選択カーソルが無い側のファイルリストを
     クリック（左右とも）した場合に、選択カーソルが移動しない問題を修正
   ・ファイル検索ダイアログでファイルが見つからなかった場合でも
     キーボードフォーカスが無くならないようにした
   ・ファイル情報窓のファイル総数に親ディレクトリ（".."）を含めないようにした
   ・フルパスファイル名をクリップボードにコピーする機能
     [Copy FullPathName to Clipbpard]を追加した

2002/04/23  ver 1.71
    ・テキストビュアーの右クリックメニューに「開く」を追加
    ・"*" や "*.*" を指定するSUSIEのプラグインは無視するようにする
    ・アイコンを小さい方を元に表示するよう変更
    ・分離表示する拡張子の長さを設定可能にする
    ・ディレクトリの拡張子は分離表示しない設定を追加
    ・ドライブリスト表示でもコンテキストメニューが表示されるようにする
    ・'^' キーをカスタマイズ可能にする
    ・反対側ウィンドウでディレクトリを開くコマンドを追加（Open by other view)
    ・キーボードからコンテキストメニューを表示するとエラー音が鳴るのを修正
      (v1.70のみの現象)
    ・「コピーなど実行後表示待ちする」時に、キーボードで閉じれないのを修正
    ・ディレクトリを移動した際、スクロールバーが更新されないときがあるのを修正
    ・FTPのコピー動作を少し変更

2001/09/01  ver 1.70
    ・アイコンを表示できるようにする
    ・リストのサイズをコンマ区切り表示できるようにする
    ・ファイル検索で、ディレクトリ名も検索できるようにする
    ・エクスプローラ風コピーで全てをキャンセルするとエラーになるのを修正
    ・LogDisk で名前表示の登録ディレクトリへ移動できないのを修正
    ・ワイルドカードのアルゴリズムを修正
    ・コピーの問い合わせがOFFになってると追加圧縮ができないのを修正
    ・拡張コピーいダイアログのショートカットキーを変更
    ・誤植を修正

2001/05/19  ver 1.60
    ・2GB以上のファイルのリスト表示に対応（閲覧は2GBまで）
    ・4GB以上のファイルのコピーに対応
    ・SUSIE の Plug-in v0.06 付属の axzip.spi でも動くよう対処
    ・ドライブリストで登録ディレクトリも表示できるようにする
    ・テキストビュアーで表示行の他に横幅,タブサイズ,文字コード,バイナリも覚える
    ・テキストビュアーで、現在の文字コードをステータスバーに表示する
    ・テキストビュアーの描画処理を若干最適化
    ・テキスト検索で、ファイルを閉じても前に検索していたものを覚える
    ・ファイル種類設定で、テキストビュアーの文字コードも設定できるようにする
    ・画像ビュアーで、画像をウィンドウ内に収めて表示する機能を追加
    ・画像ビュアーで、32K以上のディスプレイで拡縮を多少きれいにする
    ・サウンドを止めるコマンド追加
    ・連続で音を鳴らしたときに前の音が消えないことがあるのを修正
     （アーカイブ内直接再生の場合は除く）
    ・パスワード付きの共有に１回目に移動できないことがあるように
      なってたのを修正（多分 v1.55から）
    ・初期ディレクトリが C:\ とかだとうまくいかないのを修正
    ・情報・メッセージウィンドウのフォント処理を変更
    ・ftp で ０バイトのファイルが転送できないのを修正
    ・ftp で 転送をキャンセルすると、それ以降キャンセルが出つづけるのを修正
    ・Win2000 でDYNAへのドロップでハングするのを修正
    ・コピー（移動）でコピーしなかった時の表示を変更
      （指定によりコピーしなかった時:   Not Copied(Moved) -> Skipped）
      （エラーによりコピーしなかった時: Not Copied(Moved) -> Error）
    ・top-down 方式の bmp に対応
    ・Editor のコマンドライン指定で、先頭に"があるとうまく保存できないのを修正
    ・Window最大化を少し修正
    ・Susieのプラグインが自動登録されたものを解除できない場合があるのを修正
    ・コマンドラインから ""で囲まれたパスがうまく処理されないことがあるのを修正
    ・自動更新の処理が連続でおこらないよう改良
    ・壁紙関係を少し変更

2001/04/03  ver 1.56
    ・コマンドラインに初期ディレクトリを渡せるようにする
    ・タイム比較で、同じとみなす時間を自由に設定できるようにする
    ・テキストビュアーの前方検索を可能にする
    ・テキストビュアーで行番号を表示できるようにする
    ・テキストビュアーのデフォルトの改行・行番号の色を変更
    ・テキストファイルの文字列検索がときどきおかしいのを修正
    ・バイナリビュアーでの検索を可能にする
    ・バイナリビュアーで範囲を選択できるようにする
    ・一部コンテキストメニューに表示されない項目があるのを修正
      （Thanks to 謎のファイラー作者さん）
    ・rarの仮想ディレクトリ下でのコピー（展開）が出来ないのを修正
    ・画像透過で一部背景が崩れることがあったのを修正
    ・フォント関係を少し変更
    ・起動時位置固定の動作がおかしいことがあるのを修正
    ・ホイールマウスでスクロールがおかしいことがあるのを修正

2001/03/01  ver 1.55
    ・ftp のファイル転送時にプログレスバーを出すようにする
    ・ftp でパスを指定しないでログインしたらカレントに移動するようにする
    ・ftp で、空白を含むフォルダの中身が覗けないのを修正
    ・TAR32.DLL v2.12 でも動くようにする
    ・tar での追加圧縮を非対応にする（TAR32.DLL の v2.12で非対応なので）
    ・.taz の圧縮形式は本来は compressなので、taz圧縮は非対応にする
      （これも TAR32.DLLが未対応なため）
    ・lha,tar,zip において、空のディレクトリを圧縮できかなったのを修正
      （cabはまだ）
    ・.lnkなどのコンテキストメニューが出せなかったのを修正
    ・ネットワークの移動・表示が Win2000,MEなどでおかしかったのを修正
    ・ワイルドカードの比較が一部間違っていたのを修正
    ・書庫spi で、必ず callback 関数を呼ぶ仕様の spi で落ちるのに対処
    ・書庫spi で、キャンセル動作をしない spi でも一応キャンセルできるよう対処
    ・書庫spi で、ファイル出力に対応してないものはエラーを出すよう対処

2001/02/05  ver 1.54
    ・ftp で、テキスト変換を行うファイルを指定できるようにする
    ・「送る」メニューが正常に動作するようにする（Thanks to NASさん,親分さん)
    ・ソートなし＋ディレクトリ先頭集めで落ちるようになってしまったのを修正
    ・漢字コードが決定できないファイルでのクリップコピーが落ちていたのを修正
    ・アーカイブ内実行ファイルを直接実行すると、終了時に落ちてしまうのを修正
    ・テキスト検索で「先頭から検索」が実行できなかったのを修正
    ・ディレクトリ自動更新の処理が複数たまらないよう修正
    ・ソートダイアログの前回の値保存関係を修正
    ・テキストビュアーで、１行が1024文字超えるものがあると落ちるのを修正

2000/07/16  ver 1.53
    ・ftpのログイン情報を覚えるようにする
    ・ftpの接続がタイムアウトされた時、自動的に再接続するようにする
    ・ドライブリストへ移動できるようにする
    ・ドライブリストに、最近移動した共有ドライブも追加
    ・履歴ディレクトリへ移動するコマンド追加（default key=SHIFT+CTRL+←→）
    ・登録ディレクトリの表示モードを再起動後も覚えれるようにする
    ・ソートダイアログの設定を再起動後も覚えれるようにする
    ・テキストビュアーの改行文字を変更
    ・デスクトップ透過のデフォルトをWin98に変更
    ・削除時にキャンセルボタンが押せなくなっていたのを修正

2000/04/18  ver 1.52
    ・ftpのMakeDirectory,Renameに対応
    ・ftpのファイル削除時に親ディレクトリの削除も試みていたのを修正
    ・Windows2000 で空フロッピーへ一応移動できるようにする
      （まだネットワーク上の空フロッピーへは移動できない）
    ・テキストビュアーの改行マークの表示方法変更
    ・テキストビュアーで改行マークも選択表示できるように変更。
    ・「ファイルがありません」表示をきれいにする。
    ・フォント関係を少し改善
    ・ディレクトリ履歴が起動するたびに順番が逆になっていたのを修正

2000/04/11  ver 1.51
    ・FTPにとりあえず対応してみる（ftp://サーバー名/で移動可能）
      （テキスト変換などは行いません）
    ・拡張コピーコマンド追加（CTRL+SHIFT+'C'）
    ・デフォルトの圧縮ファイル拡張子を設定可能にする
    ・EUC,JISファイルでのテキスト検索・カット＆コピーを可能にする。
    ・カーソルが親ディレクトリのときはディレクトリ容量を取得しないよう変更
    ・サイズを変更した後にカーソルが画面外に行ってしまうのを修正
    ・比較マークで１秒差のタイムを同一視するオプションが無効だったのを修正
    ・CommandInputで入力履歴が残らなかったのを修正
    ・コマンドマクロを追加(反対側カーソル位置取得系）

2000/01/30  ver 1.50
    ・圧縮内のファイルを直接実行したあと、ＨＤを削除することがあったのを修正
      （被害に遭った方、ごめんなさい）
    ・ファイルコピー時に１秒差のタイムを同一視するオプション追加
    ・日付が不明のファイルのコピーに失敗していたのを修正
    ・大容量ドライブの空き領域の計算修正（未確認(^^;）
    ・マーク後に、ディレクトリ計算などを行うと容量表示がおかしくなるのを修正

1999/10/24  ver 1.44
    ・UNZIP32.DLL(v5.40以上),ZIP32J.DLL 対応
      (UNZIP32.DLL を使用しない人は、AXZIP.SPI に設定し直してください）
    ・スクロール関連のバグ修正

1999/08/10  ver 1.43
    ・Win98 の ActiveDesktop の画像表示にだけ対応してみる
      （これで、*.jpg などを壁紙に設定可能に）
      （ただし、このときは壁紙変更をしてもDYNAには反映されない）
      （Windows がメッセージを何も送ってくれないので・・・）
    ・外部コマンド用のマクロをいくつか追加（$Ox,$$）
    ・コマンド入力実行でもマクロが使えるようにした（'X','H'コマンド）
    ・LogDiskでネットワークドライブは共有名を表示するように変更
    ・年号を４桁表示できるようにする
    ・隠し属性のファイルを隠すオプションを追加
    ・壁紙の更新コマンド追加
    ・スクロールバーの形式を変更
    ・ファイラー画面の、時間だけ表示がうまく動いてなかったのを修正
    ・一部のキー(F6など）の設定できなかったのを修正
    ・バイナリファイルの表示が遅いときがあったのを修正
    ・画像ファイル透過で存在しないファイルを指定すると落ちるのを修正
    ・先頭に'//'が保存されているアーカイブの中身が読めないのを修正
      （なんでルートが２つも保存されてるんだ？）
    ・名前が似ているサブディレクトリをコピーできなかったのを修正
    ・その他、壁紙関係の改良（thanks to muji,Fem,NegiKamo)

1999/06/24  ver 1.42
    ・「全マーク時にディレクトリをマーク」オプションを廃止し、
      MarkAll と MarkToggleAll をファイルのみとディレクトリ付に分ける
    ・LogDiskでネットワークドライブのボリュームラベルを取得しないオプション追加
    ・LogDiskダイアログの改良（キーボード直接入力を優先する）
    ・ZIP内のファイルが表示されないのを修正
    ・バイナリをテキスト表示したときの文字コード変換ができないのを修正
    ・ルートディレクトリのファイルのドラッグがおかしかったのを修正
    ・UNLHA32.DLL v1.35 での動作がおかしいのを修正
    ・容量の大きいドライブの計算に失敗していたのを修正

1999/06/06  ver 1.41
    ・ファイルを検索してマークする機能追加（CTRL+'M'）
    ・右クリックを情報画面、ネットワーク内で利用可能にする
    ・大きいファイルコピー時に、キャンセルできるようにする
    ・FAT32 ドライブのセクタ、クラスタサイズを読めるようにする
      (thanks to Alf, KEY)
    ・ディレクトリサイズコマンドをマーク対応にする
    ・メニューに「ドライブ移動」「ディレクトリサイズ」追加
    ・画像表示時に、マーク・コピーを実行可能にする
    ・二重起動禁止のときに二重起動した場合、前のウィンドウをアクティブにする
    ・連続リネームコピーの時の処理を改良
    ・ソートに属性順を追加
    ・ソートダイアログのショートカットキーを改良
    ・メッセージウィンドウ行数固定にできるようにした
    ・背景透過されたメッセージ画面が画面設定変更時に再描画されないのを修正
    ・ファイル検索中にキャンセルボタンが押せなかったのを修正
    ・サブディレクトリ内のリネームコピーが正常な場所にコピーされないのを修正
    ・小さいファイルでのファイル最後尾からのヘッダ取得が失敗するのを修正
    ・反対側が仮想ディレクトリでのコピー先直接指定時のバグ修正

1999/03/02  ver 1.40
    ・メッセージ画面を常に表示できるようにする
    ・メッセージ画面の改良とオプションを追加（フォント設定など）
    ・スプリットバーの位置を記憶できるようにする
    ・ヘッダをファイルの最後から読めるオプションを追加
      （これに伴い今までのヘッダ設定は無効になるので再設定が必要）
    ・*.mp3,*.rmp のヘッダを標準で設定
    ・フォントのxy比がおかしくなるのを修正
    ・ファイル移動でドライブ名の大／小文字で違うドライブとみなしてたのを修正
    ・その他の改良・修正

1999/02/15  ver 1.33
    ・マークファイルの解凍をできるようにする
    ・WHEEL マウスに対応
    ・ネットワーク上でパスワードのついたディレクトリも読めるようにする
    ・ネットワークディレクトリの空き容量を読めるようにする（OS依存(WINNT?)）
    ・サブディレクトリなどのファイル移動の高速化
    ・フォントの幅がずれるのを修正
    ・'能' などの文字で終わるディレクトリの中身が読めなかったのを修正
    ・カレントディレクトリを含むディレクトリを移動できないのを修正
    ・OS/2形式の BMP を読めるようにする
    ・書庫内の時刻表示がときどき１時間ずれるのを修正
    ・コピーのリネーム欄に現在のファイル名を入れる
    ・コンパイラ変更 VC++5.0 -> VC++6.0

1998/10/27  ver 1.32
    ・SUSIE の書庫プラグイン内のサブディレクトリを無視しないようにする
    ・bzip2 圧縮ファイル(.bz2)に対応（BZ2LIB.DLLとTAR32.DLLが必要）
    ・エクスプローラの右クリックメニューを表示できるようにした
      （ただし、送るメニューはまだ不完全）
      （キーボードでは、'@' で、 ShowContextMenu）
    ・ショートカットへのドラッグアンドドロップが可能になった
    ・Win98 でネットワークがうまく参照できないのを修正
    ・起動時のディレクトリを設定できるようにする
    ・2GB 以上のハードディスクの容量計算に対応
    ・テキストビュアーのエディタ起動でビュアーを終了できるオプションを追加
    ・コピー・移動先ダイアログのデフォルトフォーカスの位置に関する設定追加
    ・コピー・移動先ダイアログの相対パスの処理追加
    ・フォント設定で、大きさの値がずれるのを修正
    ・すべてマークするキーボードコマンド追加(MarkAll）
    ・フレームなし拡大時の大きさを正確にする
    ・テキストビュアーで、横幅を０で画面にあわしても少しずれてたのを修正
    ・IMEをOFF にする
    ・その他のバグ修正

1998/10/02  ver 1.31
    ・カーソル位置を覚えない＋コピー時に自動更新でコピーした時のバグ修正

1998/09/27  ver 1.30
    ・Win98 での壁紙透過できるようにする（ただし html表示には対応してません）
    ・画像ファイルを壁紙として持てるようにする
    ・コピーや移動時に、コピー・移動先を指定できるようにする
    ・*.RLE をデフォルトで、BMP表示に設定
    ・先頭、最後へ移動するコマンド追加(JumpToTop,JumpToBottom)
    ・コピー結果リスト画面の改良
    ・ファイル種類設定のマクロを変更する
    ・起動時に IME を OFF にする
    ・圧縮時のデフォルトのファイル名を、カーソル位置のファイル名にした
    ・ディレクトリ、テキストのカーソル位置を記憶するしないオプション
    ・ファイル検索ダイアログの結果表示内を水平スクロールできるようにした

1998/06/28  ver 1.20
    ・AXZIP.SPI 以外の Susie の 書庫 Plug-in にも対応する（自動判別）
    ・JIS,SJIS,EUC の変換を内部で行うように変更する
      （文字コード自動変換による問題点修正）
    ・UNRAR32.DLL 対応
    ・ToOppositeDirectory, ToRootDirectory, VirtualDir コマンド追加
    ・'\','@' キーもカスタマイズ可能にする
    ・スクロールバーの表示／非表示を設定できるようにする
    ・画像連続表示において、圧縮ファイルのサブディレクトリ内のファイルも表示
    ・画像ビュアーで縮小も出来るようにする
    ・ShellExecute, CommandInput2 をアーカイブ内でも実行できるようにする
    ・自分のサブディレクトリへのコピーを禁止する
    ・起動時サイズ固定がおかしかったのを修正
    ・ファイル種類の中で、編集できないのがあったのを修正

1998/05/26  ver 1.10
	・TAR32.DLL に対応
	・CAB32.DLL に対応
	・NKF32.DLL に対応
	・ファイル検索機能追加
	・「機能一覧から」というメニューを追加
	・マークされたファイルのドラッグアンドドロップをできるようにした
	・テキストビュアーで、クリップボードへのコピーをできるようにした。
	・テキストビュアーで、文字列検索結果をマークするようにした。
	・画像表示時に、マウスドラッグによってスクロールできるようにした
	・256色モードになっても背景透過オプションを初期化しないようにした
	  （Direct X など用の対策）
	・親ディレクトリ'..' はソートしないようにした
	・ファイルコピー時などのウィンドウをメインウィンドウに追従させた
	・情報ウィンドウに、ファイルマスクも表示
	・ディレクトリ比較、壁紙変更などもキーカスタマイズできるようにした
	・ファイル種類設定において、テキストビュアーの設定を細かくした
	・削除時に、ごみ箱を利用できるようにした
	・ディレクトリの色を、有効／無効に出来るようにした
	・外部コマンドマクロを少し変更
	・一部の圧縮ファイル内へのコピーの高速化
	・Windows NT で、ネットワーク全体が読めないバグを修正
	・文字がスクロールバーの下に消えてしまう場合があるのを修正
	・圧縮ファイルにルートディレクトリがあるとうまく処理されないのを修正
	・圧縮ファイル内のサブディレクトリが場合により複数表示されるのを修正
	・UNLHA32.DLL のバージョンによってハンドルが時々開放されないのを修正
	・自己解凍LZHファイルの認識ができないことがあったのを修正
	・Editor のコマンドラインが変更できなかったのを修正
	・反対窓側が仮想ディレクトリの時に、ファイル属性が変更できないのを修正
	・その他のバグ修正

1998/03/01  ver 1.01
	・mpr.dll,winmm.dll,msvfw32.dll がなくても起動できるようにする
	・壁紙が更新されないときがあるのを修正
	・壁紙更新動作に関するオプション追加
	・バイナリビュアーが時々落ちるのを修正
	・画像を拡大した時のスクロール量の修正
	・テキストビュアーで、検索後行数表示がおかしくなるのを修正
	・ヘルプの修正

1998/02/02  ver 1.00
	・改名（SUE -> DYNA）
	・ＮＴでも背景透過に対応
	・テキストビュアーの改良
	・256色環境で、フルカラーの画像のパレットを最適化する。
	  （一部の画像では、従来通り固定パレットを使用するものもある）
	・フレームもメニューも無い最大化コマンド追加
	  （キー設定での Maximize Window Ex）
	・画像ビュアー時に自動的に最大化するオプション追加
	・マルチユーザー環境に対応
	・コマンドラインオプションで、INI ファイルを指定出来るようにする。
	  （ 書式 /INI=filename ）
	・.lnk のRETURNキーの反応でリンク先を見れるようにする。
	・圧縮ファイル内の複数ファイルの削除の高速化
	・エラーメッセージの強化
	・デフォルトの配色・フォント変更
	・標準で *.RCP のヘッダ取得を登録
	・その他細かいバグ、仕様変更

1997/12/15  ver 0.5
	・コンパイラ変更（ VC++4.0 -> VC++5.0 ）
	  これに伴い、MFC42.DLL が必要になります。
	・テキスト／画像ビュアー時に、スプリットバーを残さないようにする。
	・ネットワークコンピューター名に直接移動できるようにした
	  （'L'コマンドで、\\croolycone\sue\のように）
	・ネットワークに対応
	  （'L'コマンドでネットワーク全体が見れます）
	・インクリメンタルサーチ実装
	・ステータスバーを使ってみる。
	・ファイルヘッダ表示をできるようにしてみる。
	  これに伴い、キー設定において、ToggleHeaderDisplay を追加
	・テキスト表示のスクロール位置を記憶するようにした
	・背景透過時の、移動後の描画をスムーズにする。
	・背景透過時の、改行文字の色がおかしくなるのを修正
	・ディレクトリ参照ダイアログの変更
	・その他細かいバグ、仕様変更

1997/11/09  ver 0.4
	・背景を透明にする機能追加（64K色以上の環境のみ）
	・ディレクトリ作成後、そこに移動するオプション追加
	・スプリットバーをキーボードで移動可能に（デフォルト CTRL+矢印）
	・ALT キーもカスタマイズ可能にした
	・Move Window, Resize Window コマンド追加
	・左右のウィンドウを均等にする機能追加
	・ISH32.DLL に対応（解凍のみ）
	・エクスプローラ風のファイルアクセスモードをつける
	・ファイルの複製コマンドで、プログレシブバーが出るようにする。
	・前回と同じ大きさで起動オプションで、少しづつ大きくなってくバグ修正
	・場所によって、LZH の圧縮・解凍がうまく行かなかったバグ修正
	・最小化した状態で終了すると、前回の大きさ・位置がおかしくなるバグ修正
	・その他、細かいところ

1997/09/29  ver 0.3
	・サウンド機能追加
	・ファイル種類（RETURN押したときの動作）を設定可能に
	・テキストビュアーにおいて、改行文字などの表示
	・とりあえずHELPファイルをつけてみる
	・その他、多数のバグ修正と、細かい仕様変更
 
1997/08/05  ver 0.2
	・ZIPに対応（ただし圧縮には非対応）
	・ドラッグアンドドロップ対応(ただしショートカットへはドロップできない)
	・２５６色モードでのパレットのバグ修正
	（ただし２５６色以上の画像は固定パレットで表示）
	・EXE の拡張子実行を、自己解凍圧縮ファイル閲覧に変更
	（実行するには、SHIFT+RETURN の関連付け実行で）
	・Increment/Decrement Drive 機能の追加
	・その他、いろいろ追加・変更しました

1997/07/17  ver 0.1
	CCS-BBS に初公開



1997年 5月頃、仮称SUE として開発着手

